const initheaders = [
  "发票申请编码",
  "发票类型",
  "发票代码",
  "发票号码",
  "价税合计",
  "发票金额",
  "校验码",
  "开票日期"
];

export const mapProp = {
  value0: "invNo",
  value1: "inv_type",
  value2: "inv_code",
  value3: "inv_number",
  value4: "inv_total",
  value5: "inv_subtotal",
  value6: "check_code",
  value7: "open_date"
};

const columns = () => {
  const list: any[] = [
    {
      type: "index",
      width: "50",
      fixed: "left",
      label: "序号"
    }
  ];
  initheaders.forEach((si, sii) => {
    list.push({
      prop: "value" + sii,
      label: si,
      minWidth: sii === 0 || sii === 1 ? "120px" : "90px"
    });
  });

  console.log(list);
  return list;
};

export { initheaders, columns };
